<div class="row align-items-top card-body">
    <h4><i class="fa fa-cog"></i> Scan Data</h4>

    <div style="width:100%;">
      <form action="">
      <p style="font-size: 8pt;">
        <input type="checkbox" name="chk1" onclick="setHide('component-test-table', this.checked)" />
        Hide failed test results.
      </p>
      </form>
    </div>

    <table id="elTable" class="table table-sm table-hover table-bordered" style="font-size: 8pt;">
      <thead>
        <tr>
          <th class="text-left">Run Number </th>
          <th class="text-left">Test Type  </th>
          <th class="text-left">Stage      </th>
          <th class="text-left">User       </th>
          <th class="text-left">Site       </th>
          <th class="text-left">Date       </th>
          <th class="text-left">Score      </th>
          <th class="text-left">Values     </th>
        </tr>
      </thead>
      <tbody>
        {% for run in component['electrical']['resultIndex'] %}
          {% if run['summary'] %}
            <tr style="background: #FFEEAA;">
          {% elif run['result'] %}
            <tr>
          {% else %}
            <tr style="background: #AABBCC;" name="component-test-table" disabled="disabled">
          {% endif %}
              <td style="word-wrap:break-word;">
                <a href="{{ url_for('component_api.show_component', id=component['_id'], collection=component['collection'],test='electrical', runId=run['_id']) }}">{{ run['runNumber'] }}</a>
              </td>
              <td style="word-wrap:break-word;">{{ run['testType'] }}</td>
              <td style="word-wrap:break-word;">{{ run['stage'] }}</td>
              <td style="word-wrap:break-word;">{{ run['user'] }}</td>
              <td style="word-wrap:break-word;">{{ run['site'] }}</td>
              <td style="word-wrap:break-word;">{{ run['datetime'] }}</td>
              {% if run['score'] == 1 %}
              <td style="word-wrap:break-word;background: #e2ffd8;">
              {% elif run['score'] == 0 %}
              <td style="word-wrap:break-word;background: #ffe5e1;">
              {% else %}
              <td style="word-wrap:break-word;">
              {% endif %}
                {{ run['rate'] }}
              </td>
              <td style="word-wrap:break-word;">
              {% for chip in run['values'] %}
                  {{ run['values'][chip]['parameter'] }}
                <br>
              {% endfor %}
              </td>
            </tr>
         {% endfor %}
      </tbody>
    </table>


</div>
